Type to search.

Bulk unenroll agents

Base URL
https://{kibana_url}
  • POST /api/fleet/agents/bulk_unenroll
Auth

Unenroll multiple agents, optionally revoking their enrollment API keys.

Required privileges

Privileges fleet-agents-all

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

agents union string[] | string required
batchSize number
dryRun boolean
force boolean

Unenrolls hosted agents too

includeInactive boolean

When passing agents by KQL query, unenrolls inactive agents too

revoke boolean

Revokes API keys of agents

Responses

Successful response

application/json
Any of:
actionId string required